跳转到内容

Tripo H3.1 Text to 3D

集成

模型 id tripo3d/h3.1/text-to-3d
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/tripo3d/h3.1/text-to-3d?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

与示例类似的文件: $0.20 200 API 积分 · ≈ ₽21.52 运行前会测量你的文件 在此页面运行

获取 API 密钥
Tripo 文本转 3D #3d#text-to-3d#3d-generation#tripo

文本到 3D 网格生成器,支持负面提示词、独立的几何和纹理质量级别,以及极高的面数上限

Tripo · 3D

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填 88 / 1024

所需 3D 对象的文字描述,最多 1024 个字符。

texture_quality 默认 standard

纹理质量设置;选择 'detailed' 会提高纹理分辨率。

geometry_quality 默认 standard

几何体的质量设置。

高级 negative_prompt · face_limit · model_seed · image_seed · texture_seed · auto_size · enable_safety_checker
0 / 1024

应从生成模型中排除的特征描述。

网格生成的明确面数目标;提供此值时会覆盖模型的自适应面数选择。

用于使几何体生成可复现的种子。

文本到图像阶段使用的种子。

用于使纹理生成可复现的种子。

POST /run/tripo3d/h3.1/text-to-3d?wait=20 报价 → $0.20
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/tripo3d/h3.1/text-to-3d?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Tripo H3.1 Text to 3D

根据最长 1024 个字符的文本描述构建 3D 模型,并可选提供用于排除特征的 `negative_prompt`。`face_limit` 接受 1,000 到 2,000,000 个面。`geometry_quality` 和 `texture_quality` 均可设置为 standard 或 detailed。选项包括 PBR 材质、四边形拓扑、自动缩放到真实世界尺寸,以及分别用于几何体、文本到图像步骤和纹理的独立种子。

参数

名称类型 默认值允许值 描述
prompt必填
类型string
≤ 1,024 个字符
所需 3D 对象的文字描述,最多 1024 个字符。
negative_prompt可选
类型string | null
≤ 1,024 个字符
应从生成模型中排除的特征描述。
face_limit可选
类型integer | null
1,000 – 2,000,000
网格生成的明确面数目标;提供此值时会覆盖模型的自适应面数选择。
texture可选
类型boolean
默认值true
控制模型是否接收生成的纹理。
pbr可选
类型boolean
默认值true
启用 PBR 材质(基于物理的渲染);设为 true 时也会启用纹理生成。
model_seed可选
类型integer | null
用于使几何体生成可复现的种子。
image_seed可选
类型integer | null
文本到图像阶段使用的种子。
texture_seed可选
类型integer | null
用于使纹理生成可复现的种子。
texture_quality可选
类型enum
默认值standard
standarddetailed
纹理质量设置;选择 'detailed' 会提高纹理分辨率。
geometry_quality可选
类型enum
默认值standard
standarddetailed
几何体的质量设置。
auto_size可选
类型boolean
默认值false
自动缩放,使模型获得以米为单位测量的真实世界尺寸。
quad可选
类型boolean
默认值false
启用四边形拓扑,在三角形面和 4 边四边形之间选择。对于四边形结果,只要 Tripo 以 FBX 字节提供数据,就会返回 FBX 文件。
enable_safety_checker可选
类型boolean
默认值true
调用方获得授权后,可将其设置为 false 以放宽审核。
必填

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "tripo3d/h3.1/text-to-3d",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 200,
    "usd": "0.20",
    "charged": 200,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "model_mesh": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "model_urls": {
      "glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "fbx": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "base_model": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "pbr_model": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    },
    "rendered_image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "task_id": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
model_mesh
object {url, content_type, file_name, file_size}包含生成的 3D 模型的 GLB 或 FBX 文件,格式取决于 Tripo 生成的内容。
model_urls
object {glb, fbx, base_model, pbr_model}指向 3D 模型其他版本的 URL。
rendered_image
object {url, content_type, file_name, file_size} | null显示生成的 3D 模型的渲染预览。
task_id
string | null用于标识生成模型的可复用 Tripo 任务 ID,可在不再次上传模型的情况下执行 rig 或 rig-check 操作。

更多模型:文本转 3D

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/tripo3d/h3.1/text-to-3d.md. 所有模型和指南: https://doitong.com/developers/llms.txt